Last Comment Bug 752202 - [comm-central, Windows] "Could not create the directory: ..\..\..\..\..\..\..\..\_tests\testing\mochitest\tests\dom\imported-tests\webapps\WebStorage\tests\submissions\Infraware\iframe: No such file or directory"
: [comm-central, Windows] "Could not create the directory: ..\..\..\..\..\..\.....
Status: RESOLVED FIXED
[fixed by bug 757252]
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: x86 Windows Server 2003
: P1 blocker (vote)
: mozilla16
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
Mentors:
Depends on: 742938 757252 770604
Blocks: 740357
  Show dependency treegraph
 
Reported: 2012-05-05 05:31 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-07-16 07:50 PDT (History)
8 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments

Description Serge Gautherie (:sgautherie) 2012-05-05 05:31:37 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1336209811.1336212771.32219.gz
WINNT 5.2 comm-central leak test build on 2012/05/05 02:23:31
+
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1336208409.1336210102.28225.gz
WINNT 5.2 comm-central-trunk leak test build on 2012/05/05 02:00:09
{
make[9]: Entering directory `/e/builds/slave/comm-cen-trunk-w32-dbg/build/objdir/mozilla/dom/imported-tests/webapps/WebStorage/tests/submissions/Infraware/iframe'

e:/builds/slave/comm-cen-trunk-w32-dbg/build/objdir/mozilla/config/nsinstall.exe "/e/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/dom/imported-tests/webapps/WebStorage/tests/submissions/Infraware/iframe/local_change_item_iframe.html" "/e/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/dom/imported-tests/webapps/WebStorage/tests/submissions/Infraware/iframe/local_security_iframe.html" "/e/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/dom/imported-tests/webapps/WebStorage/tests/submissions/Infraware/iframe/local_set_item_clear_iframe.html" "/e/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/dom/imported-tests/webapps/WebStorage/tests/submissions/Infraware/iframe/local_set_item_iframe.html" "/e/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/dom/imported-tests/webapps/WebStorage/tests/submissions/Infraware/iframe/session_change_item_iframe.html" "/e/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/dom/imported-tests/webapps/WebStorage/tests/submissions/Infraware/iframe/session_set_item_clear_iframe.html" "/e/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/dom/imported-tests/webapps/WebStorage/tests/submissions/Infraware/iframe/session_set_item_iframe.html" ../../../../../../../../_tests/testing/mochitest/tests/dom/imported-tests/webapps/WebStorage/tests/submissions/Infraware/iframe

Could not create the directory: ..\..\..\..\..\..\..\..\_tests\testing\mochitest\tests\dom\imported-tests\webapps\WebStorage\tests\submissions\Infraware\iframe: No such file or directory

make[9]: *** [libs] Error 3
}
Comment 1 :Ms2ger (⌚ UTC+1/+2) 2012-05-05 10:24:30 PDT
Fixed, I think.

https://hg.mozilla.org/mozilla-central/rev/0957b05585e9
Comment 2 Serge Gautherie (:sgautherie) 2012-05-05 11:12:14 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1336226775.1336235763.25366.gz
WINNT 5.2 comm-central leak test build on 2012/05/05 07:06:15

V.Fixed
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2012-05-09 16:43:10 PDT
FWIW, this isn't good enough for my machine :(

C:\Users\Sid\mozilla\tb-trunk-opt\mozilla\dom\imptests\webapps\WebStorage\tests\submissions\Infraware\iframe\..\..\..\..\..\..\..\..\..\..\comm-central\mozilla\dom\imptests\webapps\WebStorage\tests\submissions\Infraware\iframe\session_set_item_clear_iframe.html is 261 characters long, just over the MAX_PATH limit of 260. nsinstall should probably normalize paths, but I know doing it in C is troublesome.
Comment 4 Serge Gautherie (:sgautherie) 2012-05-19 18:03:02 PDT
Not good enough indeed :-/

https://tbpl.mozilla.org/php/getParsedLog.php?id=11883817&tree=Thunderbird-Try
TB WINNT 5.2 try-comm-central leak test build on 2012-05-18 21:41:16 PDT for push 1526f4f8a362
slave: w32-ix-slave09
+
https://tbpl.mozilla.org/php/getParsedLog.php?id=11896608&tree=Thunderbird-Try
TB WINNT 5.2 try-comm-central leak test build on 2012-05-19 16:12:38 PDT for push 67dbc42bd72d
slave: w32-ix-slave09
{
Could not create the directory: ..\..\..\..\..\..\..\..\_tests\testing\mochitest\tests\dom\imptests\failures\webapps\WebStorage\tests\submissions\Infraware: No such file or directory
}
Comment 5 Siddharth Agarwal [:sid0] (inactive) 2012-05-21 03:07:26 PDT
Well, I moved my objdir from "tb-trunk-opt" to "tbto" and it worked fine then, but I've started seeing this.

nsinstall: ..\..\..\..\..\..\..\..\..\..\comm-central\mozilla\dom\imptests\failures\webapps\WebStorage\tests\submissions\Ms2ger\test_storage_session_removeitem_js.html.json: No such file or directory
Comment 6 Blake Winton (:bwinton) (:☕️) 2012-05-28 10:33:36 PDT
I'm seeing that too, as of this morning.  And I'm willing to try patches out if it will help fix it.
Comment 7 Siddharth Agarwal [:sid0] (inactive) 2012-05-28 23:16:06 PDT
Blake: could you try out the patch in bug 757252?
Comment 8 Mark Banner (:standard8) 2012-06-06 11:21:17 PDT
This (and/or bug 757252) are now a blocker to us producing Windows nightly builds on aurora. Can we adjust the length of the directory or something asap please?
Comment 9 Mike Conley (:mconley) - (Needinfo me!) 2012-06-06 11:23:50 PDT
The patches in bug 757252 worked for me.
Comment 10 Mark Banner (:standard8) 2012-06-11 02:52:14 PDT
(In reply to Mark Banner (:standard8) from comment #8)
> This (and/or bug 757252) are now a blocker to us producing Windows nightly
> builds on aurora. Can we adjust the length of the directory or something
> asap please?

I'm trying to get the aurora builds fixed via bug 763422 whilst we wait for bug 757252 to be fixed.
Comment 11 Serge Gautherie (:sgautherie) 2012-06-27 04:06:38 PDT
(SeaMonkey build)
https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=b820a0a17dab
https://tbpl.mozilla.org/php/getParsedLog.php?id=12964440&tree=Thunderbird-Try
TB WINNT 5.2 try-comm-central leak test build on 2012-06-25 02:22:25 PDT for push b820a0a17dab
{
Could not create the directory: ..\..\..\..\..\..\..\..\_tests\testing\mochitest\tests\dom\imptests\failures\webapps\XMLHttpRequest\tests\submissions\Ms2ger: No such file or directory
}

Bug still there.
Comment 12 Siddharth Agarwal [:sid0] (inactive) 2012-07-02 23:57:13 PDT
This should be fixed now. Please reopen if this still happens.
Comment 13 Alex Keybl [:akeybl] 2012-07-16 07:50:26 PDT
Since bug 763422 was checked in, assuming this is fixed on FF15 as well.

Note You need to log in before you can comment on or make changes to this bug.